Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IPort

    com.change_vision.jude.api.inf.model.IPort

All Superinterfaces:
  IAttribute, IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IAttribute, IElement, IEntity, IHyperlinkOwner, INamedElement

    public IPort

extends IAttribute

Interface for Port.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract boolean` | `isBehavior()` Check if the port is a behavior.
`abstract boolean` | `isService()` Check if the port is a service.
`abstract void` | `setIsBehavior(boolean isBehavior)` Set behavior to port.
`abstract void` | `setIsService(boolean isService)` Set service to port.

Methods inherited from class com.change_vision.jude.api.inf.model.IAttribute
`getAssociation, getConnectors, getInitialValue, getMultiplicity, getNavigability, getQualifiedTypeExpression, getQualifiers, getType, getTypeExpression, isAggregate, isChangeable, isComposite, isDerived, isEnable, isStatic, setAggregation, setAggregationKind, setChangeable, setComposite, setDerived, setEnable, setInitialValue, setMultiplicity, setMultiplicityStrings, setNavigability, setQualifiedTypeExpression, setStatic, setType, setTypeExpression`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### isService

    abstract boolean isService()

  Check if the port is a service.

  Returns:
    true true it is a service / false it is not a service

### setIsService

    abstract void setIsService(boolean isService)

  Set service to port.

  Parameters:
    `isService` - if true, it is service, otherwise, it is not service.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### isBehavior

    abstract boolean isBehavior()

  Check if the port is a behavior.

  Returns:
    true true it is a behavior / false it is not a behavior

### setIsBehavior

    abstract void setIsBehavior(boolean isBehavior)

  Set behavior to port.

  Parameters:
    `isService` - if true, it is behavior, otherwise, it is not behavior.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD